"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createCollector = createCollector;
exports.VGSCollectInput = void 0;

var _reactNative = require("react-native");

const {
  CollectorManager
} = _reactNative.NativeModules;
const VGSCollectInput = (0, _reactNative.requireNativeComponent)('VgsCollectReactNativeView');
exports.VGSCollectInput = VGSCollectInput;

function createCollector(vaultId, environment, name = Date.now().toString()) {
  CollectorManager.createNamedCollector(name, vaultId, environment);
  return {
    collectorName: name,
    submit: async (path, method = 'POST', headers = {}) => {
      const fn = _reactNative.Platform.select({
        ios: () => CollectorManager.submit(name, path, method, headers),
        android: () => {
          return new Promise((resolve, reject) => {
            CollectorManager.submit(name, path, method, headers, payload => {
              if ('error' in payload) {
                reject(new Error(payload.error || payload.code));
              } else {
                resolve(typeof payload.data === 'string' ? { ...payload,
                  data: JSON.parse(payload.data)
                } : payload);
              }
            });
          });
        }
      });

      return fn();
    }
  };
}
//# sourceMappingURL=index.js.map