import { requireNativeComponent, NativeModules, Platform } from 'react-native';
const {
  CollectorManager
} = NativeModules;
export const VGSCollectInput = requireNativeComponent('VgsCollectReactNativeView');
export function createCollector(vaultId, environment, name = Date.now().toString()) {
  CollectorManager.createNamedCollector(name, vaultId, environment);
  return {
    collectorName: name,
    submit: async (path, method = 'POST', headers = {}) => {
      const fn = Platform.select({
        ios: () => CollectorManager.submit(name, path, method, headers),
        android: () => {
          return new Promise((resolve, reject) => {
            CollectorManager.submit(name, path, method, headers, payload => {
              if ('error' in payload) {
                reject(new Error(payload.error || payload.code));
              } else {
                resolve(typeof payload.data === 'string' ? { ...payload,
                  data: JSON.parse(payload.data)
                } : payload);
              }
            });
          });
        }
      });
      return fn();
    }
  };
}
//# sourceMappingURL=index.js.map