import { ViewStyle } from 'react-native';
export declare type VGSEnvironment = 'sandbox' | 'live';
export declare type Validation = {
    min: number;
    max: number;
} | {
    pattern: string;
};
declare type VGSCollectInputProps = {
    config: {
        collectorName: string;
        fieldName: string;
        fieldType: 'cardHolderName' | 'expDate' | 'cvc' | 'cardNumber' | 'text';
        validations?: Validation[];
        formatPattern?: string;
        divider?: string;
        inputDateFormat?: 'shortYear' | 'longYear' | 'shortYearThenMonth' | 'longYearThenMonth';
        outputDateFormat?: 'shortYear' | 'longYear' | 'shortYearThenMonth' | 'longYearThenMonth';
        keyboardType?: 'numberPad' | 'default';
    };
    isSecureTextEntry?: boolean;
    placeholder?: string;
    textColor?: string;
    fontFamily?: string;
    fontSize?: number;
    style?: ViewStyle;
};
export declare const VGSCollectInput: import("react-native").HostComponent<VGSCollectInputProps>;
export declare type SubmitFn<TData> = (path: string, method: 'GET' | 'POST', headers: Record<string, string>) => Promise<{
    code: number;
    data?: TData;
}>;
export declare function createCollector<TData = any>(vaultId: string, environment: VGSEnvironment, name?: string): {
    collectorName: string;
    submit: SubmitFn<TData>;
};
export {};
